package dev.shadowsoffire.apotheosis.adventure;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.mojang.serialization.Codec;
import dev.shadowsoffire.apotheosis.adventure.Adventure;
import dev.shadowsoffire.apotheosis.adventure.gen.BossDungeonFeature;
import dev.shadowsoffire.apotheosis.adventure.gen.BossDungeonFeature2;
import dev.shadowsoffire.apotheosis.adventure.gen.ItemFrameGemsProcessor;
import dev.shadowsoffire.apotheosis.adventure.gen.RogueSpawnerFeature;
import java.util.function.Supplier;
import net.minecraft.core.registries.Registries;
import net.minecraft.world.level.levelgen.structure.templatesystem.StructureProcessorType;
import net.minecraftforge.registries.RegistryObject;

public class Features {
  public static final RegistryObject<BossDungeonFeature> BOSS_DUNGEON = Adventure.R.feature("boss_dungeon", BossDungeonFeature::new);
  
  public static final RegistryObject<BossDungeonFeature2> BOSS_DUNGEON_2 = Adventure.R.feature("boss_dungeon_2", BossDungeonFeature2::new);
  
  public static final RegistryObject<RogueSpawnerFeature> ROGUE_SPAWNER = Adventure.R.feature("rogue_spawner", RogueSpawnerFeature::new);
  
  public static final RegistryObject<StructureProcessorType<ItemFrameGemsProcessor>> ITEM_FRAME_GEMS = Adventure.R.custom("item_frame_gems", Registries.f_256983_, () -> ());
  
  private static void bootstrap() {}
}
